%ifarch x86_64
%def_without gtkhtml
%else
%def_with gtkhtml
%endif
%def_without xulrunner

Name: liferea
Version: 1.2.5
Release: alt1

Summary: A RSS News Reader for GNOME
License: GPL
Group: Networking/News

Packager: Alex V. Myltsev <avm@altlinux.org>

Url: http://%name.sf.net/
Source: %name.tar
Source100: %name.be.po.bz2

Requires: libgtk+2, libgtkhtml2, libxml2, icon-theme-hicolor
Requires(post): GConf
BuildPreReq: menu-devel

# Automatically added by buildreq on Sat Nov 04 2006
BuildRequires: GConf gcc-c++ libGConf-devel libSM-devel libgnutls-devel libgtkhtml2-devel libnotify-devel libxslt-devel intltool seamonkey-devel

%if_with xulrunner
BuildRequires: xulrunner-devel
%endif

Requires: liferea-backend = %version

%description
Liferea is a simple FeedReader clone for Unix distributions with GTK2 
(GNOME2 is optional). It is a news aggregator for RSS/RDF feeds which
also supports CDF channels, Atom/Echo/PIE feeds and OCS or OPML 
directories. The problem with FeedReader: for now its only available 
for Windows. There are some projects for GNU/Linux, but no solution for
GTK/GNOME, which does not require Python or Perl. Liferea tries to fill
this gap. Liferea is an abbreviation for Linux Feed Reader.

%if_with gtkhtml
%package gtkhtml
Summary: Liferea backend which uses GtkHTML
Requires: liferea = %version
Provides: liferea-backend = %version
Group: System/Libraries

%description gtkhtml
library for liferea which uses the GtkHTML renderer
%endif

%package mozilla
Summary: library for liferea which uses mozilla html renderer
Requires: liferea = %version
Provides: liferea-backend = %version
Group: System/Libraries

%description mozilla
library for liferea which uses mozilla html renderer

%if_with xulrunner
%package xulrunner
Summary: xulrunner HTML-rendering engine for liferea
Requires: liferea = %version, xulrunner
Provides: liferea-backend = %version
Group: Networking/News

%description xulrunner
Liferea is a simple FeedReader clone for Unix distributions with GTK2.

This package provides a xulrunner-based HTML rendering engine for Liferea.
%endif

%prep
%setup -q -n %name
bzcat %SOURCE100 > po/be.po

%build
%__subst 's,\(ALL_LINGUAS=\"\),\1be ,' configure

%configure --disable-schemas-install

%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# remove unpackaged files
rm -f %buildroot%_libdir/%name/*.la
rm -f %buildroot%_iconsdir/hicolor/icon-theme.cache

%find_lang --with-gnome %name

%post
%gconf2_install %name
%update_scrollkeeper

%postun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi
%clean_scrollkeeper

%files -f %name.lang
%doc AUTHORS COPYING ChangeLog NEWS README
%_bindir/%name
%_bindir/%name-bin
%_bindir/%name-add-feed
%dir %_libdir/liferea/
%_libdir/liferea/liblinotif*
%_datadir/liferea
%_datadir/applications/%name.desktop
%_liconsdir/%name.png
%config %_sysconfdir/gconf/schemas/%name.schemas
%_man1dir/%name.1*

%if_with gtkhtml
%files gtkhtml
%_libdir/liferea/*g.so
%endif

%files mozilla
%_libdir/liferea/*m.so

%if_with xulrunner
%files xulrunner
%_libdir/liferea/*x.so
%endif

%changelog
* Tue Feb 06 2007 Alex V. Myltsev <avm@altlinux.ru> 1.2.5-alt1
- 1.2.5: Russian translation, fixed possible crash on x86_64.

* Mon Jan 29 2007 Alex V. Myltsev <avm@altlinux.ru> 1.2.4-alt1
- New version.

* Fri Jan 12 2007 Alex V. Myltsev <avm@altlinux.ru> 1.2.3-alt1
- important bug fixes.

* Mon Dec 25 2006 Alex V. Myltsev <avm@altlinux.ru> 1.2.1-alt1
- 1.2.1: stable version.
- Rebuilding for the new libdbus.

* Tue Nov 28 2006 Alex V. Myltsev <avm@altlinux.ru> 1.2-alt0.rc3
- 1.2 RC3: list saving fixes, lower CPU load.

* Wed Nov 22 2006 Alex V. Myltsev <avm@altlinux.ru> 1.2-alt0.rc2
- 1.2 RC2: bug fixes, documentation updates.

* Sat Nov 04 2006 Alex V. Myltsev <avm@altlinux.ru> 1.1.9-alt1
- 1.1.9: lots of new features: updateable feed lists, social bookmarking,
  wide screen view, firefox 2.0 integration, scripting etc.

* Fri Nov 03 2006 Alex V. Myltsev <avm@altlinux.ru> 1.0.25-alt1
- 1.0.25: many bug fixes, builds against seamonkey.
- liferea-xulrunner does not work, disabled it by default.

* Fri Apr 28 2006 Vital Khilko <vk@altlinux.ru> 1.0.10-alt1
- 1.0.10

* Mon Mar 06 2006 Vital Khilko <vk@altlinux.ru> 1.0.7-alt1
- 1.0.7

* Fri Feb 03 2006 Vital Khilko <vk@altlinux.ru> 1.0.3-alt1
- 1.0.3

* Wed Jan 25 2006 Vital Khilko <vk@altlinux.ru> 1.0.1-alt1
- 1.0.1
- all translated description data removed

* Thu Aug 04 2005 Vital Khilko <vk@altlinux.ru> 0.9.5-alt1.1
- 0.9.5

* Wed Jul 27 2005 Vital Khilko <vk@altlinux.ru> 0.9.4-alt1.1
- DBus support

* Wed Jul 27 2005 Vital Khilko <vk@altlinux.ru> 0.9.4-alt1
- 0.9.4

* Thu Jul 21 2005 Vital Khilko <vk@altlinux.ru> 0.9.2-alt1.1
- DBus disabled

* Thu May 19 2005 Vital Khilko <vk@altlinux.ru> 0.9.2-alt1
- 0.9.2
- DBus support

* Fri Jan 28 2005 Vital Khilko <vk@altlinux.ru> 0.9.0b-alt1
- 0.9.0b
- remove mozilla library to separate package
- updated belarusian translation

* Mon Nov 15 2004 Vital Khilko <vk@altlinux.ru> 0.6.2-alt1
- 0.6.2

* Fri Nov 05 2004 Vital Khilko <vk@altlinux.ru> 0.6.1-alt1
- 0.6.1
- updated belarusian translation

* Thu Sep 16 2004 Vital Khilko <vk@altlinux.ru> 0.6.0-alt1
- 0.6.0

* Wed Aug 18 2004 Vital Khilko <vk@altlinux.ru> 0.5.3-alt1
- 0.5.3
- added belarusian translations

* Tue May 25 2004 Vital Khilko <vk@altlinux.ru> 0.4.9-alt1
- initial build for ALTLinux Sisyphus 
- added code for http proxy autorization
